<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iCelGame Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iCelGame Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iCelGame" --><!-- doxytag: inherits="iBase" -->
<p>A networked game.  
 <a href="structiCelGame.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="network_8h_source.html">physicallayer/network.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iCelGame:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiCelGame.png" usemap="#iCelGame_map" alt=""/>
  <map id="iCelGame_map" name="iCelGame_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,66,24"/>
</map>
 </div></div>

<p><a href="structiCelGame-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelGameClient.html">iCelGameClient</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelGame.html#a6e9f791b54a7f2bfff6babbf004ff3a3">GetGameClient</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the local client if available, 0 otherwise.  <a href="#a6e9f791b54a7f2bfff6babbf004ff3a3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classcelGameInfo.html">celGameInfo</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelGame.html#a1d382192880b9c9ef9d869aefa919ede">GetGameInfo</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the general info of the game.  <a href="#a1d382192880b9c9ef9d869aefa919ede"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelGameServer.html">iCelGameServer</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelGame.html#a985179a654afc7d9d16d5ff5e5a4fb2f">GetGameServer</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the local server if available, 0 otherwise.  <a href="#a985179a654afc7d9d16d5ff5e5a4fb2f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual celNetworkGameType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelGame.html#af5f0c41b23620076dd4603619f814041">GetGameType</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the type of the game.  <a href="#af5f0c41b23620076dd4603619f814041"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelGame.html#a684f6884e90593d9bbadd86a1104fe8a">IsClientAvailable</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return true if a local client is available in this process, false otherwise.  <a href="#a684f6884e90593d9bbadd86a1104fe8a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelGame.html#a993f6c7640971383007b0f52fc2b0d0a">IsServerAvailable</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return true if a local server is available in this process, false otherwise.  <a href="#a993f6c7640971383007b0f52fc2b0d0a"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A networked game. </p>
<p>It maintains the main data of a game: game type, game info and pointers to the local client and server. </p>

<p>Definition at line <a class="el" href="network_8h_source.html#l00050">50</a> of file <a class="el" href="network_8h_source.html">network.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a6e9f791b54a7f2bfff6babbf004ff3a3"></a><!-- doxytag: member="iCelGame::GetGameClient" ref="a6e9f791b54a7f2bfff6babbf004ff3a3" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelGameClient.html">iCelGameClient</a>* <a class="el" href="structiCelGame.html#a6e9f791b54a7f2bfff6babbf004ff3a3">iCelGame::GetGameClient</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return the local client if available, 0 otherwise. </p>

</div>
</div>
<a class="anchor" id="a1d382192880b9c9ef9d869aefa919ede"></a><!-- doxytag: member="iCelGame::GetGameInfo" ref="a1d382192880b9c9ef9d869aefa919ede" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classcelGameInfo.html">celGameInfo</a>* <a class="el" href="structiCelGame.html#a1d382192880b9c9ef9d869aefa919ede">iCelGame::GetGameInfo</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return the general info of the game. </p>

</div>
</div>
<a class="anchor" id="a985179a654afc7d9d16d5ff5e5a4fb2f"></a><!-- doxytag: member="iCelGame::GetGameServer" ref="a985179a654afc7d9d16d5ff5e5a4fb2f" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelGameServer.html">iCelGameServer</a>* <a class="el" href="structiCelGame.html#a985179a654afc7d9d16d5ff5e5a4fb2f">iCelGame::GetGameServer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return the local server if available, 0 otherwise. </p>

</div>
</div>
<a class="anchor" id="af5f0c41b23620076dd4603619f814041"></a><!-- doxytag: member="iCelGame::GetGameType" ref="af5f0c41b23620076dd4603619f814041" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual celNetworkGameType <a class="el" href="structiCelGame.html#af5f0c41b23620076dd4603619f814041">iCelGame::GetGameType</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return the type of the game. </p>

</div>
</div>
<a class="anchor" id="a684f6884e90593d9bbadd86a1104fe8a"></a><!-- doxytag: member="iCelGame::IsClientAvailable" ref="a684f6884e90593d9bbadd86a1104fe8a" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelGame.html#a684f6884e90593d9bbadd86a1104fe8a">iCelGame::IsClientAvailable</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return true if a local client is available in this process, false otherwise. </p>

</div>
</div>
<a class="anchor" id="a993f6c7640971383007b0f52fc2b0d0a"></a><!-- doxytag: member="iCelGame::IsServerAvailable" ref="a993f6c7640971383007b0f52fc2b0d0a" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelGame.html#a993f6c7640971383007b0f52fc2b0d0a">iCelGame::IsServerAvailable</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return true if a local server is available in this process, false otherwise. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>physicallayer/<a class="el" href="network_8h_source.html">network.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
